﻿using MassTransit;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static IRaCIS.Core.Application.Service.TestService;

namespace IRaCIS.Core.Application.MassTransit.Consumer;

/// <summary>
/// meditor send 的时候，请求流会先到消费者，返回后才会执行后续代码
///          publish  请求流不会先到消费者，发布后，直接执行后续代码
///          
/// </summary>
/// <param name="_userRepository"></param>
public class MasstransitHangfireTestConsumer(IRepository<User> _userRepository) : IConsumer<MasstransitHangfireTest>
{
    public async Task Consume(ConsumeContext<MasstransitHangfireTest> context)
    {

        Console.WriteLine(_userRepository._dbContext.GetHashCode());
        Console.WriteLine("Now is " + DateTime.Now.ToString());
        Console.WriteLine($"MassTransit.Consumer :{context.Message.value}");


        await context.RespondAsync<IResponseOutput>(ResponseOutput.Ok());

    }
}

